Bug 810638 - Power management is crazy. Battery indicator on PC not laptop
Power management is crazy. Battery indicator on PC not laptop
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: upower (Show other bugs)
16
i386 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-07 10:35 EDT by Vladimir Darak
Modified: 2013-02-13 09:43 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:42:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of: dmesg, lspci, lsusb, /var/log/messages and screenshots of the problem (1.03 MB, application/x-gzip)
2012-04-07 10:35 EDT, Vladimir Darak
no flags Details
output of acpidum (120.70 KB, application/octet-stream)
2012-04-10 13:15 EDT, Vladimir Darak
no flags Details
Output of upower --dump (1.05 KB, application/octet-stream)
2012-04-10 13:15 EDT, Vladimir Darak
no flags Details

  None (edit)
Description Vladimir Darak 2012-04-07 10:35:11 EDT
Created attachment 575930 [details]
Output of: dmesg, lspci, lsusb, /var/log/messages and screenshots of the problem

Description of problem:

I installed Fedora 16 on my PC. After installation, everything went perfectly but after installing updates power management is crazy. I installed Fedora 16 on a PC (not laptop) and the latest kernel thinks my computer is a laptop. In the login screen and after logging to desktop in systray battery icon is displayed. Quite often it happens that the computer hibernates because of low battery while I was directly connected to the AC (not laptop).

On kernel 3.1.0-7 all works fine but after upgrade to kernel 3.3.0-8 or 3.3.1-2 fedroa not working correctly.

Version-Release number of selected component (if applicable):

$ cat /etc/fedora-release
Fedora release 16 (Verne)

Linux vlado-desktop 3.3.1-2.fc16.i686 #1 SMP Tue Apr 3 01:44:31 UTC 2012 i686 i686 i386 GNU/Linux

How reproducible:


Steps to Reproduce:
1. Install Fedora 16 from Live CD
2. Battery indicator not displayed
3. install all updates and reboot
4. new kernel is shown in grub2
5. in gdm screen and after logging to desktop is battery indicator displayed in systray
6. message Battery is critically low appears randomly and sometimes that happens, the computer hibernates
  
Actual results:
My desktop randomly hibernates because message Battery is critiaclly low appears even though that my computer is not laptop

Expected results:
No battery indicator and any unexpected hibernations

Additional info:
nothing happens after adding boot options "noacpi" and "apm=off" to the /etc/default/grub.
Comment 1 Vladimir Darak 2012-04-07 10:38:48 EDT
Thank you for your help and sorry for my bad English
Comment 2 Josh Boyer 2012-04-09 09:26:13 EDT
I'm guessing you have a wireless keyboard or mouse that is reporting battery status and is confusing the desktop.

Can you provide the output of:

acpidump
upower --dump


This is probably a duplicate of 806295
Comment 3 Vladimir Darak 2012-04-10 13:14:11 EDT
Yes, I have wireless mouse, specifically Apple Magic Mouse which in Ubuntu works perfectly.
Comment 4 Vladimir Darak 2012-04-10 13:15:00 EDT
Created attachment 576520 [details]
output of acpidum
Comment 5 Vladimir Darak 2012-04-10 13:15:42 EDT
Created attachment 576521 [details]
Output of upower --dump
Comment 6 Josh Boyer 2012-04-10 13:26:47 EDT
upower is picking up your battery from the mouse now that the kernel reports it.  The kernel doesn't really seem to be doing anything wrong in this regard.
Comment 7 Vladimir Darak 2012-04-10 13:39:22 EDT
Yes this is a duplicate of 806295. But, where i can disable reporting of battery state for this wireless device?

Sorry for duplicated bug
Comment 8 Fedora End Of Life 2013-01-16 08:48:54 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 09:43:02 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.